Bug 19853 - pump could keep a domain search path
pump could keep a domain search path
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-10-26 07:29 EDT by Ben Elliston
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-28 02:03:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Elliston 2000-10-26 07:29:58 EDT
When pump talks to a DHCP server, it overwrites /etc/resolv.conf with the
site-specific resolver information.  In many instances, I would like to
use a constant domain search path, regardless of where I am.

Might it be possible for pump to emit a fixed "search" line in
/etc/resolv.conf whenever it rewrites this file?
Comment 1 Jeremy Katz 2000-10-28 02:03:28 EDT
Already happens.  Check man pump and specifically the section on pump.conf. 
Basically, just create an /etc/pump.conf with contents of 
	domainsearch "mydomain.org redhat.com"

and it will always set the search path to what's specified

Note You need to log in before you can comment on or make changes to this bug.